package nl.frontend;

import java.util.List;

import nl.backend.MailUtil;
import nl.backend.NewsLetter;
import nl.backend.ServiceLocatorUtil;
import nl.backend.User;

public class Batch {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		NewsLetter newsLetter = ServiceLocatorUtil.lookup(NewsLetter.NAME);
		List<User> users = newsLetter.find(Boolean.TRUE);
		
		for( User user : users) {
			MailUtil.send(user, "Newsletter", "Hi " + user.getName() + ", hier ...");
		}
	}


}
